/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package Metier;

/**
 *
 * @author medhi.rodrigues
 */
public class praticien {
    /**
     * id = L'identifiant du praticien
     * nom = le nom du praticien
     * prenom = le prenom du praticien
     * type_praticien = le type de praticien (ex : Médecine de Ville)
     */
    private int id;
    private String nom;
    private String prenom;
    private String type_praticien;
    
    
    /** LE CONSTRUCTEUR DEFAULT
     * Constructeur de praticien complétant chaque attributs
     * @param id
     * @param nom
     * @param prenom
     * @param type_praticien 
     */
    public praticien(int id, String nom, String prenom, String type_praticien) {
        this.id = id;
        this.nom = nom;
        this.prenom = prenom;
        this.type_praticien = type_praticien;
    }
    
    
    //LES GETTEUR
    /**
     * Guetteur de l'id du praticien
     * @return the id
     */
    public int getId() {
        return id;
    }

    /**
     * Guetteur du nom du praticien
     * @return the nom
     */
    public String getNom() {
        return nom;
    }

    /**
     * Guetteur du prénom du praticien
     * @return the prenom
     */
    public String getPrenom() {
        return prenom;
    }

    /**
     * Guetteur du type de praticien
     * @return the type_praticien
     */
    public String getType_praticien() {
        return type_praticien;
    }

    /**
     * Méthode toString permettant connaitre la valeur 
     * de chaque attribut de l'objet praticien
     * @return retourne de façon structuré tout les attributs
     */
    @Override
    public String toString() {
        return "Praticien{" + "id=" + id + ", nom=" + nom + ", prenom=" + prenom + ", type_praticien=" + type_praticien + '}';
    }
      
   
}
